% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/organizations.update.R
\name{organizations.update}
\alias{organizations.update}
\title{Update an organization}
\usage{
organizations.update(id, name = NULL, owner_id = NULL,
  visible_to = NULL, customList = NULL, api_token = NULL,
  company_domain = "api", return_type = c("complete", "boolean"))
}
\arguments{
\item{id}{Organization ID}

\item{name}{Organization name}

\item{owner_id}{ID of the user who will be marked as the owner of this organization. When omitted, the authorized user ID will be used.}

\item{visible_to}{Visibility of the organization. If omitted, visibility will not be changed.1 = Owner & followers (private); 3 = Entire company (shared) This field has the following domains: (1; 3)}

\item{customList}{List with custom fields. Example: list(`custom_field` = abc)}

\item{api_token}{To validate your requests, you'll need your api_token - this means that our system will need to know who you are and be able to connect all actions you do with your chosen Pipedrive account. Have in mind that a user has a different api_token for each company. Please access the following link for more information: <https://pipedrive.readme.io/docs/how-to-find-the-api-token?utm_source=api_reference>}

\item{company_domain}{How to get the company domain: <https://pipedrive.readme.io/docs/how-to-get-the-company-domain>}

\item{return_type}{the default return is an object List with all informations of process, or you can set boolean (TRUE = success, FALSE = error)}
}
\value{
customizable return, the default is an object List
}
\description{
Function to Update an organization on pipedrive.
}
\examples{
\donttest{
organizations.update(id='e.g.',api_token='token',company_domain='exp')
}
}
